%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-multidict
Version:       6.4.3
Release:       1mamba
Summary:       Dict-like collection of key-value pairs where key might occur more than once in the container
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/aio-libs/multidict
Source:        https://pypi.debian.net/multidict/multidict-%{version}.tar.gz
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n multidict-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitearch}/%{pkgname}-%{version}.dist-info
%{python_sitearch}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitearch}/%{pkgname}
%{python_sitearch}/%{pkgname}/*
%doc LICENSE

%changelog
* Fri Apr 11 2025 Automatic Build System <autodist@openmamba.org> 6.4.3-1mamba
- automatic version update by autodist

* Thu Apr 10 2025 Automatic Build System <autodist@openmamba.org> 6.4.2-1mamba
- automatic version update by autodist

* Fri Apr 04 2025 Automatic Build System <autodist@openmamba.org> 6.3.2-1mamba
- automatic version update by autodist

* Wed Apr 02 2025 Automatic Build System <autodist@openmamba.org> 6.3.1-1mamba
- automatic version update by autodist

* Tue Apr 01 2025 Automatic Build System <autodist@openmamba.org> 6.3.0-1mamba
- automatic version update by autodist

* Tue Mar 18 2025 Automatic Build System <autodist@openmamba.org> 6.2.0-1mamba
- automatic version update by autodist

* Tue Sep 10 2024 Automatic Build System <autodist@openmamba.org> 6.1.0-1mamba
- automatic version update by autodist

* Tue Mar 26 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0.5-1mamba
- package created using the webbuild interface
